<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_u"></a>- u -</h3><ul>
<li>U16_SET_BIT
: <a class="el" href="bit__hacks_8h.html#a5d5cc979bba2c75551f4a97a33b902ef">bit_hacks.h</a>
</li>
<li>U32_SET_BIT
: <a class="el" href="bit__hacks_8h.html#a8b3535ebdbe2e88b533c69e527586e1b">bit_hacks.h</a>
</li>
<li>U64_SET_BIT
: <a class="el" href="bit__hacks_8h.html#ad2d98dd947a531e52070a4483b20674c">bit_hacks.h</a>
</li>
<li>UINT16_TO_INT16_LOSS
: <a class="el" href="checks_8h.html#a09875c25cc5338183a477eb92f5d0e2a">checks.h</a>
</li>
<li>UINT16_TO_UINT8_LOSS
: <a class="el" href="checks_8h.html#ae2356ecefba09f816cb8912fba37cf58">checks.h</a>
</li>
<li>UINT32_TO_INT32_LOSS
: <a class="el" href="checks_8h.html#a6d17f4f306188e5ec0d4bb7077b1bd5d">checks.h</a>
</li>
<li>UINT32_TO_UINT16_LOSS
: <a class="el" href="checks_8h.html#a0d2692aba22265de50090e52cad6d89c">checks.h</a>
</li>
<li>UINT64_TO_INT64_LOSS
: <a class="el" href="checks_8h.html#a800ffb9294adf32e0544a9af9916c50b">checks.h</a>
</li>
<li>UINT64_TO_UINT32_LOSS
: <a class="el" href="checks_8h.html#a319eab81855471921c64c9811568d95e">checks.h</a>
</li>
<li>UINT8_TO_INT8_LOSS
: <a class="el" href="checks_8h.html#a0a083dcd88d02f6161c6c3639a2ae630">checks.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
